| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Slots | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
Tp::Client::CallContentInterfaceAudioControlInterface Class Reference

`#include <TelepathyQt/CallContent>`

Inheritance diagram for Tp::Client::CallContentInterfaceAudioControlInterface:
[legend]

## Public Slots

QDBusPendingReply | ReportInputVolume (int volume, int timeout=-1)
QDBusPendingReply | ReportOutputVolume (int volume, int timeout=-1)

## Public Member Functions

| CallContentInterfaceAudioControlInterface (const QString &busName, const QString &objectPath, QObject *parent=0)
| CallContentInterfaceAudioControlInterface (const QDBusConnection &connection, const QString &busName, const QString &objectPath, QObject *parent=0)
| CallContentInterfaceAudioControlInterface (Tp::DBusProxy *proxy)
| CallContentInterfaceAudioControlInterface (const Tp::Client::CallContentInterface &mainInterface)
| CallContentInterfaceAudioControlInterface (const Tp::Client::CallContentInterface &mainInterface, QObject *parent)
Tp::PendingVariant * | requestPropertyRequestedInputVolume () const
Tp::PendingVariant * | requestPropertyRequestedOutputVolume () const
Tp::PendingVariantMap * | requestAllProperties () const
Public Member Functions inherited from Tp::AbstractInterface
virtual | ~AbstractInterface ()
bool | isValid () const
QString | invalidationReason () const
QString | invalidationMessage () const
void | setMonitorProperties (bool monitorProperties)
bool | isMonitoringProperties () const
Public Member Functions inherited from QDBusAbstractInterface
virtual | ~QDBusAbstractInterface ()
bool | isValid () const
QDBusConnection | connection () const
QString | service () const
QString | path () const
QString | interface () const
QDBusError | lastError () const
void | setTimeout (int timeout)
int | timeout () const
QDBusMessage | call (const QString &method, const QVariant &arg1, const QVariant &arg2, const QVariant &arg3, const QVariant &arg4, const QVariant &arg5, const QVariant &arg6, const QVariant &arg7, const QVariant &arg8)
QDBusMessage | call (QDBus::CallMode mode, const QString &method, const QVariant &arg1, const QVariant &arg2, const QVariant &arg3, const QVariant &arg4, const QVariant &arg5, const QVariant &arg6, const QVariant &arg7, const QVariant &arg8)
QDBusMessage | callWithArgumentList (QDBus::CallMode mode, const QString &method, const QList< QVariant > &args)
bool | callWithCallback (const QString &method, const QList< QVariant > &args, QObject *receiver, const char *returnMethod, const char *errorMethod)
bool | callWithCallback (const QString &method, const QList< QVariant > &args, QObject *receiver, const char *slot)
QDBusPendingCall | asyncCall (const QString &method, const QVariant &arg1, const QVariant &arg2, const QVariant &arg3, const QVariant &arg4, const QVariant &arg5, const QVariant &arg6, const QVariant &arg7, const QVariant &arg8)
QDBusPendingCall | asyncCallWithArgumentList (const QString &method, const QList< QVariant > &args)
Public Member Functions inherited from QObject
| QObject (QObject *parent)
virtual | ~QObject ()
virtual bool | event (QEvent *e)
virtual bool | eventFilter (QObject *watched, QEvent *event)
virtual const QMetaObject * | metaObject () const
QString | objectName () const
void | setObjectName (const QString &name)
bool | isWidgetType () const
bool | signalsBlocked () const
bool | blockSignals (bool block)
QThread * | thread () const
void | moveToThread (QThread *targetThread)
int | startTimer (int interval)
void | killTimer (int id)
T | findChild (const QString &name) const
QList< T > | findChildren (const QString &name) const
QList< T > | findChildren (const QRegExp &regExp) const
QObject * | child (const char *objName, const char *inheritsClass, bool recursiveSearch) const
const QObjectList & | children () const
void | setParent (QObject *parent)
void | installEventFilter (QObject *filterObj)
void | removeEventFilter (QObject *obj)
bool | connect (const QObject *sender, const char *signal, const char *method, Qt::ConnectionType type) const
bool | disconnect (const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *receiver, const char *method)
void | dumpObjectTree ()
void | dumpObjectInfo ()
bool | setProperty (const char *name, const QVariant &value)
QVariant | property (const char *name) const
QList< QByteArray > | dynamicPropertyNames () const
void | destroyed (QObject *obj)
QObject * | parent () const
bool | inherits (const char *className) const
void | deleteLater ()
| QObject (QObject *parent, const char *name)
void | insertChild (QObject *object)
void | removeChild (QObject *object)
bool | isA (const char *className) const
const char * | className () const
const char * | name () const
const char * | name (const char *defaultName) const
void | setName (const char *name)

## Static Public Member Functions

static QLatin1String | staticInterfaceName ()
Static Public Member Functions inherited from QObject
QString | tr (const char *sourceText, const char *disambiguation, int n)
QString | trUtf8 (const char *sourceText, const char *disambiguation, int n)
bool | connect (const QObject *sender, const char *signal, const QObject *receiver, const char *method, Qt::ConnectionType type)
bool | connect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method, Qt::ConnectionType type)
bool | disconnect (const QObject *sender, const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method)

## Protected Member Functions

virtual void | invalidate (Tp::DBusProxy *, const QString &, const QString &)
Protected Member Functions inherited from Tp::AbstractInterface
| AbstractInterface (DBusProxy *proxy, const QLatin1String &interface)
| AbstractInterface (const QString &busName, const QString &path, const QLatin1String &interface, const QDBusConnection &connection, QObject *parent)
PendingVariant * | internalRequestProperty (const QString &name) const
PendingOperation * | internalSetProperty (const QString &name, const QVariant &newValue)
PendingVariantMap * | internalRequestAllProperties () const
Protected Member Functions inherited from QObject
QObject * | sender () const
int | senderSignalIndex () const
int | receivers (const char *signal) const
virtual void | timerEvent (QTimerEvent *event)
virtual void | childEvent (QChildEvent *event)
virtual void | customEvent (QEvent *event)
virtual void | connectNotify (const char *signal)
virtual void | disconnectNotify (const char *signal)
bool | checkConnectArgs (const char *signal, const QObject *object, const char *method)

## Additional Inherited Members

Signals inherited from Tp::AbstractInterface
void | propertiesChanged (const QVariantMap &changedProperties, const QStringList &invalidatedProperties)
Protected Slots inherited from Tp::AbstractInterface
Static Protected Member Functions inherited from QObject
QByteArray | normalizeSignalSlot (const char *signalSlot)
Properties inherited from QObject
| objectName

## Detailed Description

Proxy class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Call1.Content.Interface.AudioControl".

## Constructor & Destructor Documentation

## § CallContentInterfaceAudioControlInterface() [1/5]

Tp::Client::CallContentInterfaceAudioControlInterface::CallContentInterfaceAudioControlInterface | ( | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a CallContentInterfaceAudioControlInterface associated with the given object on the session bus.

Parameters

  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

## § CallContentInterfaceAudioControlInterface() [2/5]

Tp::Client::CallContentInterfaceAudioControlInterface::CallContentInterfaceAudioControlInterface | ( | const QDBusConnection & | connection,
|  | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a CallContentInterfaceAudioControlInterface associated with the given object on the given bus.

Parameters

  connection | The bus via which the object can be reached.
  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

## § CallContentInterfaceAudioControlInterface() [3/5]

Tp::Client::CallContentInterfaceAudioControlInterface::CallContentInterfaceAudioControlInterface | ( | Tp::DBusProxy * | proxy | ) |

Creates a CallContentInterfaceAudioControlInterface associated with the same object as the given proxy.

Parameters

  proxy | The proxy to use. It will also be the QObject::parent() for this object.

## § CallContentInterfaceAudioControlInterface() [4/5]

Tp::Client::CallContentInterfaceAudioControlInterface::CallContentInterfaceAudioControlInterface | ( | const Tp::Client::CallContentInterface & | mainInterface | ) |

explicit

Creates a CallContentInterfaceAudioControlInterface associated with the same object as the given proxy. Additionally, the created proxy will have the same parent as the given proxy.

Parameters

  mainInterface | The proxy to use.

## § CallContentInterfaceAudioControlInterface() [5/5]

Tp::Client::CallContentInterfaceAudioControlInterface::CallContentInterfaceAudioControlInterface | ( | const Tp::Client::CallContentInterface & | mainInterface,
|  | QObject * | parent
| ) |  |

Creates a CallContentInterfaceAudioControlInterface associated with the same object as the given proxy. However, a different parent object can be specified.

Parameters

  mainInterface | The proxy to use.
  parent | Passed to the parent class constructor.

## Member Function Documentation

## § staticInterfaceName()

static QLatin1String Tp::Client::CallContentInterfaceAudioControlInterface::staticInterfaceName | ( |  | ) |

inline static

Returns the name of the interface "org.freedesktop.Telepathy.Call1.Content.Interface.AudioControl", which this class represents.

Returns
  The D-Bus interface name.

## § requestPropertyRequestedInputVolume()

Tp::PendingVariant* Tp::Client::CallContentInterfaceAudioControlInterface::requestPropertyRequestedInputVolume | ( |  | ) | const

inline

Asynchronous getter for the remote object property `RequestedInputVolume` of type `int`.

The input volume as requested by the Connection Manager. Initially and on any changes the client should change its input volume to match the requested volume.

Returns
  A pending variant which will emit finished when the property has been retrieved.

## § requestPropertyRequestedOutputVolume()

Tp::PendingVariant* Tp::Client::CallContentInterfaceAudioControlInterface::requestPropertyRequestedOutputVolume | ( |  | ) | const

inline

Asynchronous getter for the remote object property `RequestedOutputVolume` of type `int`.

The input volume as requested by the Connection Manager. Initially and on any changes the client should change its input volume to match the requested volume.

Returns
  A pending variant which will emit finished when the property has been retrieved.

## § requestAllProperties()

Tp::PendingVariantMap* Tp::Client::CallContentInterfaceAudioControlInterface::requestAllProperties | ( |  | ) | const

inline

Request all of the DBus properties on the interface.

Returns
  A pending variant map which will emit finished when the properties have been retrieved.

## § ReportInputVolume

QDBusPendingReply Tp::Client::CallContentInterfaceAudioControlInterface::ReportInputVolume | ( | int | volume,
|  | int | timeout = `-1`
| ) |  |

inline slot

Begins a call to the D-Bus method `ReportInputVolume` on the remote object.

Report to the CM that the Content input volume has been changed by the client. It is the client's responsibility to change the input volume used for the content. However, the client MUST call this whenever it changes input volume for the content.

Note that timeout is ignored as of now. It will be used once http://bugreports.qt.nokia.com/browse/QTBUG-11775 is fixed.

Parameters

  volume

      Report the input volume level as set by the client.

  timeout | The timeout in milliseconds.

## § ReportOutputVolume

QDBusPendingReply Tp::Client::CallContentInterfaceAudioControlInterface::ReportOutputVolume | ( | int | volume,
|  | int | timeout = `-1`
| ) |  |

inline slot

Begins a call to the D-Bus method `ReportOutputVolume` on the remote object.

Report to the CM that the content output volume has been changed by the client. It is the client's responsibility to change the output volume used for the content. However, the client MUST call this whenever it changes output volume for the content.

Note that timeout is ignored as of now. It will be used once http://bugreports.qt.nokia.com/browse/QTBUG-11775 is fixed.

Parameters

  volume

      Report the output volume level as set by the client.

  timeout | The timeout in milliseconds.

## § invalidate()

void Tp::Client::CallContentInterfaceAudioControlInterface::invalidate | ( | Tp::DBusProxy * | proxy,
|  | const QString & | error,
|  | const QString & | message
| ) |  |

protected virtual

Reimplemented from Tp::AbstractInterface.